Subject: Re: [PATCH net,v2 0/7] Netfilter fixes for net

From: Florian Westphal <[email-masked]>
Date: Thu, 17 Jul 2025 15:01:53 +0200

Paolo Abeni <[email-masked]> wrote:
> The first run of the newly introduced conntrack_clash.sh test failed on
> nipa:
> 
> # timeout set to 1800
> # selftests: net/netfilter: conntrack_clash.sh
> # got 128 of 128 replies
> # timed out while waiting for reply from thread
> # got 127 of 128 replies
> # FAIL: did not receive expected number of replies for 10.0.1.99:22111
> # FAIL: clash resolution test for 10.0.1.99:22111 on attempt 2
> # got 128 of 128 replies
> # timed out while waiting for reply from thread
> # got 0 of 128 replies
> # FAIL: did not receive expected number of replies for 127.0.0.1:9001
> # FAIL: clash resolution test for 127.0.0.1:9001 on attempt 2
> # SKIP: Clash resolution did not trigger
> not ok 1 selftests: net/netfilter: conntrack_clash.sh # exit=1
> I think the above should not block the PR, but please have a look.

No idea whats happening, I get 100/100 ok :-/

I'll send a revert or $ksft_skip for now if I can't figure it out.